IDA SDK

- Main Page
- Header Files
- Classes
- Modules

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
regobjs_t Struct Reference

## Detailed Description

Collection of register objects.

Inherits qvector< regobj_t >.

## Additional Inherited Members
Public Member Functions inherited from qvector< regobj_t >
| qvector (void)
| Constructor.
| qvector (const qvector< regobj_t > &x)
| Constructor - creates a new qvector identical to 'x'.
| ~qvector (void)
| Destructor.
void | push_back (const regobj_t &x)
| Append a new element to the end the qvector.
regobj_t & | push_back (void)
| Append a new empty element to the end of the qvector. More...
void | pop_back (void)
| Remove the last element in the qvector.
size_t | size (void) const
| Get the number of elements in the qvector.
bool | empty (void) const
| Does the qvector have 0 elements?
const regobj_t & | operator[] (size_t _idx) const
| Allows use of typical c-style array indexing for qvectors.
regobj_t & | operator[] (size_t _idx)
| Allows use of typical c-style array indexing for qvectors.
const regobj_t & | at (size_t _idx) const
| Get element at index '_idx'.
regobj_t & | at (size_t _idx)
| Get element at index '_idx'.
const regobj_t & | front (void) const
| Get the first element in the qvector.
regobj_t & | front (void)
| Get the first element in the qvector.
const regobj_t & | back (void) const
| Get the last element in the qvector.
regobj_t & | back (void)
| Get the last element in the qvector.
void | qclear (void)
| Destroy all elements but do not free memory.
void | clear (void)
| Destroy all elements and free memory.
qvector< regobj_t > & | operator= (const qvector< regobj_t > &x)
| Allow assignment of one qvector to another using '='.
void | resize (size_t _newsize, const regobj_t &x)
| Resize to the given size. More...
void | resize (size_t _newsize)
| Same as resize(size_t, const T &), but extra space is filled with empty elements.
void | grow (const regobj_t &x=regobj_t())
| Add an element to the end of the qvector, which will be a new T() if x is not given.
size_t | capacity (void) const
| Get the number of elements that this qvector can contain - not the same as the number of elements currently in the qvector (size())
void | reserve (size_t cnt)
| Increase the capacity of the qvector. More...
void | truncate (void)
| Shrink the capacity down to the current number of elements.
void | swap (qvector< regobj_t > &r)
| Replace all attributes of this qvector with that of 'r', and vice versa. More...
regobj_t * | extract (void)
| Empty the qvector and return a pointer to it's contents. More...
void | inject (regobj_t *s, size_t len)
| Populate the qvector with dynamic memory. More...
bool | operator== (const qvector< regobj_t > &r) const
| Allow ability to test the equality of two qvectors using '=='.
bool | operator!= (const qvector< regobj_t > &r) const
| Allow ability to test equality of two qvectors using '!='.
iterator | begin (void)
| Get an iterator that points to the first element in the qvector.
const_iterator | begin (void) const
| Get a const iterator that points to the first element in the qvector.
iterator | end (void)
| Get an iterator that points to the end of the qvector (NOT the last element)
const_iterator | end (void) const
| Get a const iterator that points to the end of the qvector (NOT the last element)
iterator | insert (iterator it, const regobj_t &x)
| Insert an element into the qvector at a specified position. More...
iterator | insert (iterator it, it2 first, it2 last)
| Insert a several elements to the qvector at a specified position. More...
iterator | erase (iterator it)
| Remove an element from the qvector. More...
iterator | erase (iterator first, iterator last)
| Remove a subset of the qvector. More...
iterator | find (const regobj_t &x)
| Find an element in the qvector. More...
const_iterator | find (const regobj_t &x) const
| Find an element in the qvector. More...
bool | has (const regobj_t &x) const
| Does the qvector contain x?
bool | add_unique (const regobj_t &x)
| Add an element to the end of the qvector - only if it isn't already present. More...
bool | del (const regobj_t &x)
| Find an element and remove it. More...
Public Types inherited from qvector< regobj_t >
typedef regobj_t | value_type
| the type of objects contained in this qvector
typedef regobj_t * | iterator
typedef const regobj_t * | const_iterator

The documentation for this struct was generated from the following file:

- typeinf.hpp